uhd_find_devices(1)

NAME
uhd_config_info - USRP Hardware Driver Build Configuration Info

DESCRIPTION
Print build information corresponding to this installation of the USRP Hardware Driver (UHD).

The UHD package is the universal hardware driver for Ettus Research products. The goal is to provide a host driver and API for current and future Ettus Research products. Users will be able to use the UHD driver standalone or with 3rd party applications.

SYNOPSIS
uhd_config_info [OPTIONS]

OPTIONS

Print date this build was compiled:
    --boost-version

Print Boost version used:
    --build-date

Print C compiler used:
    --c-compiler

Print C++ compiler used:
    --cxx-compiler

Print C compile flags:
    --c-flags

Print C++ compile flags:
    --cxx-flags

Print UHD components included in this build (comma-delimited):
    --enabled-components

Print default install prefix for this build:
    --install-prefix

Print libusb version used
    --libusb-version

Print all information listed above:
    --print-all

Print UHD version:
    --version

This help information:
    --help

SEE ALSO
UHD documentation: http://files.ettus.com/manual/

GR-UHD documentation: http://gnuradio.org/doc/doxygen/page_uhd.html

AUTHOR
This manual page was written by Nicholas Corgan for the Debian project (but may be used by others).

COPYRIGHT
Copyright (c) 2015-2022 Ettus Research, A National Instruments Brand

This program is free software: you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.